Bug 2020306 - Game crashes on startup
Summary: Game crashes on startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fillets-ng
Version: 35
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Nikolay Nikolov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-04 14:48 UTC by Nikolay Nikolov
Modified: 2021-12-20 01:07 UTC (History)
4 users (show)

Fixed In Version: fillets-ng-1.0.1-28.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-20 01:07:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikolay Nikolov 2021-11-04 14:48:55 UTC
Description of problem:

Game does not start.

Version-Release number of selected component (if applicable):
fillets-ng-1.0.1-27.fc35.x86_64

How reproducible: Always

Steps to Reproduce:
1. Run the game

Actual results:

Game does not start. If run from the console, the following error appears:

X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Resource id in failed request:  0x0
  Serial number of failed request:  310
  Current serial number in output stream:  311


Expected results:

The game should start and work normally.

Additional info:

The game used to run fine in Fedora 33 and 34. Also, in Fedora 35, it doesn't seem to matter whether you're using Wayland or X11.

Comment 1 The Source 2021-11-04 17:26:16 UTC
Same here, I get the following error on startup:

X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Resource id in failed request:  0x0
  Serial number of failed request:  430
  Current serial number in output stream:  432

Comment 2 Fedora Update System 2021-12-11 22:54:01 UTC
FEDORA-2021-3706a08f4b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3706a08f4b

Comment 3 Fedora Update System 2021-12-12 02:06:53 UTC
FEDORA-2021-3706a08f4b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3706a08f4b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3706a08f4b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-12-20 01:07:35 UTC
FEDORA-2021-3706a08f4b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.